Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Class EndpointReference

    java.lang.Object
      org.apache.axis2.addressing.EndpointReference

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, SafeSerializable

    public class EndpointReference

extends java.lang.Object
implements java.io.Externalizable, SafeSerializable

Class EndpointReference This class models the WS-A EndpointReferenceType. But this can be used without any WS-A handlers as well Since the models for this in Submission and Final versions are different, lets make this to comply with WS-A Final version. So any information found with WS-A submission will be "pumped" in to this model.

See Also:
  Serialized Form

Constructor Summary
`EndpointReference()` No-Arg Constructor Required for Externalizable objects
`EndpointReference(java.lang.String address)`

Method Summary
`static void` | `addAnonymousEquivalentURI(java.lang.String anonymousEquivalentURI)` Adds a parameter to the list of anonymous equivalent URIs.
`void` | `addAttribute(org.apache.axiom.om.OMAttribute omAttribute)`
`void` | `addAttribute(java.lang.String localName, org.apache.axiom.om.OMNamespace ns, java.lang.String value)`
`void` | `addExtensibleElement(org.apache.axiom.om.OMElement extensibleElement)`
`void` | `addMetaData(org.apache.axiom.om.OMNode metaData)`
`void` | `addReferenceParameter(org.apache.axiom.om.OMElement omElement)`
`void` | `addReferenceParameter(javax.xml.namespace.QName qname, java.lang.String value)`
`void` | `fromOM(org.apache.axiom.om.OMElement eprOMElement)` Deprecated. use `EndpointReferenceHelper.fromOM(OMElement)` instead.
`java.lang.String` | `getAddress()`
`java.util.ArrayList<org.apache.axiom.om.OMAttribute>` | `getAddressAttributes()`
`java.util.Map<javax.xml.namespace.QName,org.apache.axiom.om.OMElement>` | `getAllReferenceParameters()` This will return a Map of reference parameters with QName as the key and an OMElement as the value
`java.util.ArrayList<org.apache.axiom.om.OMAttribute>` | `getAttributes()`
`java.util.ArrayList<org.apache.axiom.om.OMElement>` | `getExtensibleElements()`
`java.lang.String` | `getLogCorrelationIDString()` Get the ID associated with this object instance.
`java.util.ArrayList<org.apache.axiom.om.OMNode>` | `getMetaData()`
`java.util.ArrayList<org.apache.axiom.om.OMAttribute>` | `getMetadataAttributes()`
`java.lang.String` | `getName()` Deprecated.
`boolean` | `hasAnonymousAddress()` This method is used to identify when response messages should be sent using the back channel of a two-way transport.
`boolean` | `hasNoneAddress()` hasNoneAddress
`boolean` | `isEquivalent(EndpointReference epr)` Compares key parts of the state from the current instance of this class with the specified instance to see if they are equivalent.
`boolean` | `isWSAddressingAnonymous()` This method identifies whether the address is a WS-Addressing spec defined anonymous URI.
`void` | `readExternal(java.io.ObjectInput inObject)` Read the EPR to the specified InputStream.
`void` | `setAddress(java.lang.String address)`
`void` | `setAddressAttributes(java.util.ArrayList<org.apache.axiom.om.OMAttribute> al)`
`void` | `setExtensibleElements(java.util.ArrayList<org.apache.axiom.om.OMElement> extensibleElements)` {any}
`void` | `setMetadataAttributes(java.util.ArrayList<org.apache.axiom.om.OMAttribute> al)`
`void` | `setName(java.lang.String name)` Deprecated.
`void` | `setReferenceParameters(java.util.Map<javax.xml.namespace.QName,org.apache.axiom.om.OMElement> referenceParameters)` Set a Map with QName as the key and an OMElement as the value
`org.apache.axiom.om.OMElement` | `toOM(java.lang.String nsurl, java.lang.String localName, java.lang.String prefix)` Deprecated. use `EndpointReferenceHelper#toOM(EndpointReference, QName, String)` instead.
`java.lang.String` | `toString()`
`void` | `writeExternal(java.io.ObjectOutput o)` Write the EPR to the specified OutputStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndpointReference

    public EndpointReference()

  No-Arg Constructor Required for Externalizable objects

### EndpointReference

    public EndpointReference(java.lang.String address)

Parameters:
  `address` -

Method Detail

### addAnonymousEquivalentURI

    public static void addAnonymousEquivalentURI(java.lang.String anonymousEquivalentURI)

  Adds a parameter to the list of anonymous equivalent URIs.

  Parameters:
    `anonymousEquivalentURI` - any URI that has an address that begins with this value will be considered to be anonymous

### addReferenceParameter

    public void addReferenceParameter(org.apache.axiom.om.OMElement omElement)

  Parameters:
    `omElement` -

### addReferenceParameter

    public void addReferenceParameter(javax.xml.namespace.QName qname,
                                      java.lang.String value)

  Parameters:
    `qname` -
    `value` - - the text of the OMElement. Remember that this is a convenient method for the user, which has limited capability. If you want more power use @See EndpointReference#addReferenceParameter(OMElement)

### getAllReferenceParameters

    public java.util.Map<javax.xml.namespace.QName,org.apache.axiom.om.OMElement> getAllReferenceParameters()

  This will return a Map of reference parameters with QName as the key and an OMElement as the value

  Returns:
    - map of the reference parameters, where the key is the QName of the reference parameter and the value is an OMElement

### getAddress

    public java.lang.String getAddress()

### setAddress

    public void setAddress(java.lang.String address)

  Parameters:
    `address` - - xs:anyURI

### getAddressAttributes

    public java.util.ArrayList<org.apache.axiom.om.OMAttribute> getAddressAttributes()

### setAddressAttributes

    public void setAddressAttributes(java.util.ArrayList<org.apache.axiom.om.OMAttribute> al)

### getMetadataAttributes

    public java.util.ArrayList<org.apache.axiom.om.OMAttribute> getMetadataAttributes()

### setMetadataAttributes

    public void setMetadataAttributes(java.util.ArrayList<org.apache.axiom.om.OMAttribute> al)

### isWSAddressingAnonymous

    public boolean isWSAddressingAnonymous()

  This method identifies whether the address is a WS-Addressing spec defined anonymous URI.

  Returns:
    true if the address is a WS-Addressing spec defined anonymous URI.
  See Also:
    `hasAnonymousAddress()`

### hasAnonymousAddress

    public boolean hasAnonymousAddress()

  This method is used to identify when response messages should be sent using the back channel of a two-way transport.

  Returns:
    true if the address is a WS-Addressing spec defined anonymous URI, or starts with a string that is specified to be equivalent to an anonymous URI.
  See Also:
    `addAnonymousEquivalentURI(String)`

### hasNoneAddress

    public boolean hasNoneAddress()

  hasNoneAddress

  Returns:
    true if the address is the 'None URI' from the final addressing spec.

### addAttribute

    public void addAttribute(java.lang.String localName,
                             org.apache.axiom.om.OMNamespace ns,
                             java.lang.String value)

  Parameters:
    `localName` -
    `ns` -
    `value` -

### getAttributes

    public java.util.ArrayList<org.apache.axiom.om.OMAttribute> getAttributes()

### addAttribute

    public void addAttribute(org.apache.axiom.om.OMAttribute omAttribute)

  Parameters:
    `omAttribute` -

### getExtensibleElements

    public java.util.ArrayList<org.apache.axiom.om.OMElement> getExtensibleElements()

### setExtensibleElements

    public void setExtensibleElements(java.util.ArrayList<org.apache.axiom.om.OMElement> extensibleElements)

  {any}

  Parameters:
    `extensibleElements` -

### addExtensibleElement

    public void addExtensibleElement(org.apache.axiom.om.OMElement extensibleElement)

### getMetaData

    public java.util.ArrayList<org.apache.axiom.om.OMNode> getMetaData()

### addMetaData

    public void addMetaData(org.apache.axiom.om.OMNode metaData)

### getName

    public java.lang.String getName()

  Deprecated.

### setName

    public void setName(java.lang.String name)

  Deprecated.

  Parameters:
    `name` -

### setReferenceParameters

    public void setReferenceParameters(java.util.Map<javax.xml.namespace.QName,org.apache.axiom.om.OMElement> referenceParameters)

  Set a Map with QName as the key and an OMElement as the value

  Parameters:
    `referenceParameters` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### fromOM

    public void fromOM(org.apache.axiom.om.OMElement eprOMElement)

  Deprecated. use `EndpointReferenceHelper.fromOM(OMElement)` instead.

  Parameters:
    `eprOMElement` -

### toOM

    public org.apache.axiom.om.OMElement toOM(java.lang.String nsurl,
                                              java.lang.String localName,
                                              java.lang.String prefix)
                                       throws AxisFault

  Deprecated. use `EndpointReferenceHelper#toOM(EndpointReference, QName, String)` instead.

  Parameters:
    `nsurl` -
    `localName` -
    `prefix` -
  Throws:
    `AxisFault`

### isEquivalent

    public boolean isEquivalent(EndpointReference epr)

  Compares key parts of the state from the current instance of this class with the specified instance to see if they are equivalent.

  This differs from the java.lang.Object.equals() method in that the equals() method generally looks at both the object identity (location in memory) and the object state (data).

  Parameters:
    `epr` - The object to compare with
  Returns:
    TRUE if this object is equivalent with the specified object that is, key fields match FALSE, otherwise

### writeExternal

    public void writeExternal(java.io.ObjectOutput o)
                       throws java.io.IOException

  Write the EPR to the specified OutputStream. Because of potential OMElements/Attributes, we need to actually serialize the OM structures (at least in some cases.)

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput inObject)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Read the EPR to the specified InputStream.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getLogCorrelationIDString

    public java.lang.String getLogCorrelationIDString()

  Get the ID associated with this object instance.

  Returns:
    A string that can be output to a log file as an identifier for this object instance. It is suitable for matching related log entries.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.